#include <iostream>
#include <string>
#include <fstream>
#include "pipe_io.hpp"


class EchoPipeIO : public PipeIO {
    using PipeIO::PipeIO;

    virtual void handle_message(std::string msg) override {
        this->send_message(msg);
    }
};


int main() {
    EchoPipeIO echo_pipe_io("in", "out");
    echo_pipe_io.run();
}
