import java.io.IOException;


public class Test extends PipeIO {
    public Test(String in_pipe_path, String out_pipe_path) throws IOException {
        super(in_pipe_path, out_pipe_path);
    }

    @Override
    public void handleMessage(String msg) throws IOException {
        this.writer.sendMessage(msg);
    }

    public static void main(String[] args) {
        try(Test test = new Test("in", "out")) {
            test.run();
        }
        catch (IOException e) {
            e.printStackTrace();
        }
    }
}
